package com.ssm.manage.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

@Table(name = "doc_promotion_project")
public class DocPromotionProject implements Serializable {
    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 门店ID
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 会员ID
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 会员手机号
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;

    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;

    /**
     * 会员卡
     */
    private String card;

    /**
     * 单据号
     */
    @Column(name = "doc_num")
    private String docNum;

    /**
     * 单据时间
     */
    @Column(name = "doc_date")
    private Date docDate;

    /**
     * 促销活动ID
     */
    @Column(name = "promotion_id")
    private Long promotionId;

    /**
     * 促销方案编码
     */
    @Column(name = "promotion_num")
    private String promotionNum;

    /**
     * 促销方案名称
     */
    @Column(name = "promotion_name")
    private String promotionName;

    /**
     * 促销项目ID
     */
    @Column(name = "project_id")
    private Long projectId;

    /**
     * 项目编码
     */
    @Column(name = "project_num")
    private String projectNum;

    /**
     * 促销项目名称
     */
    @Column(name = "project_name")
    private String projectName;

    /**
     * 会员价
     */
    @Column(name = "price_member")
    private BigDecimal priceMember;

    /**
     * 销售次数
     */
    private Integer times;

    /**
     * 0:购买/1:赠送
     */
    private Integer type;

    /**
     * 项目总金额
     */
    @Column(name = "project_total_money")
    private BigDecimal projectTotalMoney;

    /**
     * 账户ID
     */
    @Column(name = "course_account_id")
    private Long courseAccountId;

    /**
     * 项目标准次数
     */
    @Column(name = "standard_times")
    private Integer standardTimes;

    /**
     * 项目标准金额
     */
    @Column(name = "standard_money")
    private BigDecimal standardMoney;

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取门店ID
     *
     * @return store_id - 门店ID
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店ID
     *
     * @param storeId 门店ID
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取会员ID
     *
     * @return member_id - 会员ID
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员ID
     *
     * @param memberId 会员ID
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取会员手机号
     *
     * @return mobile_phone - 会员手机号
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置会员手机号
     *
     * @param mobilePhone 会员手机号
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取会员身份证号
     *
     * @return member_identity_card - 会员身份证号
     */
    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    /**
     * 设置会员身份证号
     *
     * @param memberIdentityCard 会员身份证号
     */
    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    /**
     * 获取会员卡
     *
     * @return card - 会员卡
     */
    public String getCard() {
        return card;
    }

    /**
     * 设置会员卡
     *
     * @param card 会员卡
     */
    public void setCard(String card) {
        this.card = card;
    }

    /**
     * 获取单据号
     *
     * @return doc_num - 单据号
     */
    public String getDocNum() {
        return docNum;
    }

    /**
     * 设置单据号
     *
     * @param docNum 单据号
     */
    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    /**
     * 获取单据时间
     *
     * @return doc_date - 单据时间
     */
    public Date getDocDate() {
        return docDate;
    }

    /**
     * 设置单据时间
     *
     * @param docDate 单据时间
     */
    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    /**
     * 获取促销活动ID
     *
     * @return promotion_id - 促销活动ID
     */
    public Long getPromotionId() {
        return promotionId;
    }

    /**
     * 设置促销活动ID
     *
     * @param promotionId 促销活动ID
     */
    public void setPromotionId(Long promotionId) {
        this.promotionId = promotionId;
    }

    /**
     * 获取促销方案编码
     *
     * @return promotion_num - 促销方案编码
     */
    public String getPromotionNum() {
        return promotionNum;
    }

    /**
     * 设置促销方案编码
     *
     * @param promotionNum 促销方案编码
     */
    public void setPromotionNum(String promotionNum) {
        this.promotionNum = promotionNum;
    }

    /**
     * 获取促销方案名称
     *
     * @return promotion_name - 促销方案名称
     */
    public String getPromotionName() {
        return promotionName;
    }

    /**
     * 设置促销方案名称
     *
     * @param promotionName 促销方案名称
     */
    public void setPromotionName(String promotionName) {
        this.promotionName = promotionName;
    }

    /**
     * 获取促销项目ID
     *
     * @return project_id - 促销项目ID
     */
    public Long getProjectId() {
        return projectId;
    }

    /**
     * 设置促销项目ID
     *
     * @param projectId 促销项目ID
     */
    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    /**
     * 获取项目编码
     *
     * @return project_num - 项目编码
     */
    public String getProjectNum() {
        return projectNum;
    }

    /**
     * 设置项目编码
     *
     * @param projectNum 项目编码
     */
    public void setProjectNum(String projectNum) {
        this.projectNum = projectNum;
    }

    /**
     * 获取促销项目名称
     *
     * @return project_name - 促销项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 设置促销项目名称
     *
     * @param projectName 促销项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * 获取会员价
     *
     * @return price_member - 会员价
     */
    public BigDecimal getPriceMember() {
        return priceMember;
    }

    /**
     * 设置会员价
     *
     * @param priceMember 会员价
     */
    public void setPriceMember(BigDecimal priceMember) {
        this.priceMember = priceMember;
    }

    /**
     * 获取销售次数
     *
     * @return times - 销售次数
     */
    public Integer getTimes() {
        return times;
    }

    /**
     * 设置销售次数
     *
     * @param times 销售次数
     */
    public void setTimes(Integer times) {
        this.times = times;
    }

    /**
     * 获取0:购买/1:赠送
     *
     * @return type - 0:购买/1:赠送
     */
    public Integer getType() {
        return type;
    }

    /**
     * 设置0:购买/1:赠送
     *
     * @param type 0:购买/1:赠送
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 获取项目总金额
     *
     * @return project_total_money - 项目总金额
     */
    public BigDecimal getProjectTotalMoney() {
        return projectTotalMoney;
    }

    /**
     * 设置项目总金额
     *
     * @param projectTotalMoney 项目总金额
     */
    public void setProjectTotalMoney(BigDecimal projectTotalMoney) {
        this.projectTotalMoney = projectTotalMoney;
    }

    /**
     * 获取账户ID
     *
     * @return course_account_id - 账户ID
     */
    public Long getCourseAccountId() {
        return courseAccountId;
    }

    /**
     * 设置账户ID
     *
     * @param courseAccountId 账户ID
     */
    public void setCourseAccountId(Long courseAccountId) {
        this.courseAccountId = courseAccountId;
    }

    /**
     * 获取项目标准次数
     *
     * @return standard_times - 项目标准次数
     */
    public Integer getStandardTimes() {
        return standardTimes;
    }

    /**
     * 设置项目标准次数
     *
     * @param standardTimes 项目标准次数
     */
    public void setStandardTimes(Integer standardTimes) {
        this.standardTimes = standardTimes;
    }

    /**
     * 获取项目标准金额
     *
     * @return standard_money - 项目标准金额
     */
    public BigDecimal getStandardMoney() {
        return standardMoney;
    }

    /**
     * 设置项目标准金额
     *
     * @param standardMoney 项目标准金额
     */
    public void setStandardMoney(BigDecimal standardMoney) {
        this.standardMoney = standardMoney;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DocPromotionProject other = (DocPromotionProject) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
            && (this.getMobilePhone() == null ? other.getMobilePhone() == null : this.getMobilePhone().equals(other.getMobilePhone()))
            && (this.getMemberIdentityCard() == null ? other.getMemberIdentityCard() == null : this.getMemberIdentityCard().equals(other.getMemberIdentityCard()))
            && (this.getCard() == null ? other.getCard() == null : this.getCard().equals(other.getCard()))
            && (this.getDocNum() == null ? other.getDocNum() == null : this.getDocNum().equals(other.getDocNum()))
            && (this.getDocDate() == null ? other.getDocDate() == null : this.getDocDate().equals(other.getDocDate()))
            && (this.getPromotionId() == null ? other.getPromotionId() == null : this.getPromotionId().equals(other.getPromotionId()))
            && (this.getPromotionNum() == null ? other.getPromotionNum() == null : this.getPromotionNum().equals(other.getPromotionNum()))
            && (this.getPromotionName() == null ? other.getPromotionName() == null : this.getPromotionName().equals(other.getPromotionName()))
            && (this.getProjectId() == null ? other.getProjectId() == null : this.getProjectId().equals(other.getProjectId()))
            && (this.getProjectNum() == null ? other.getProjectNum() == null : this.getProjectNum().equals(other.getProjectNum()))
            && (this.getProjectName() == null ? other.getProjectName() == null : this.getProjectName().equals(other.getProjectName()))
            && (this.getPriceMember() == null ? other.getPriceMember() == null : this.getPriceMember().equals(other.getPriceMember()))
            && (this.getTimes() == null ? other.getTimes() == null : this.getTimes().equals(other.getTimes()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getProjectTotalMoney() == null ? other.getProjectTotalMoney() == null : this.getProjectTotalMoney().equals(other.getProjectTotalMoney()))
            && (this.getCourseAccountId() == null ? other.getCourseAccountId() == null : this.getCourseAccountId().equals(other.getCourseAccountId()))
            && (this.getStandardTimes() == null ? other.getStandardTimes() == null : this.getStandardTimes().equals(other.getStandardTimes()))
            && (this.getStandardMoney() == null ? other.getStandardMoney() == null : this.getStandardMoney().equals(other.getStandardMoney()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMobilePhone() == null) ? 0 : getMobilePhone().hashCode());
        result = prime * result + ((getMemberIdentityCard() == null) ? 0 : getMemberIdentityCard().hashCode());
        result = prime * result + ((getCard() == null) ? 0 : getCard().hashCode());
        result = prime * result + ((getDocNum() == null) ? 0 : getDocNum().hashCode());
        result = prime * result + ((getDocDate() == null) ? 0 : getDocDate().hashCode());
        result = prime * result + ((getPromotionId() == null) ? 0 : getPromotionId().hashCode());
        result = prime * result + ((getPromotionNum() == null) ? 0 : getPromotionNum().hashCode());
        result = prime * result + ((getPromotionName() == null) ? 0 : getPromotionName().hashCode());
        result = prime * result + ((getProjectId() == null) ? 0 : getProjectId().hashCode());
        result = prime * result + ((getProjectNum() == null) ? 0 : getProjectNum().hashCode());
        result = prime * result + ((getProjectName() == null) ? 0 : getProjectName().hashCode());
        result = prime * result + ((getPriceMember() == null) ? 0 : getPriceMember().hashCode());
        result = prime * result + ((getTimes() == null) ? 0 : getTimes().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getProjectTotalMoney() == null) ? 0 : getProjectTotalMoney().hashCode());
        result = prime * result + ((getCourseAccountId() == null) ? 0 : getCourseAccountId().hashCode());
        result = prime * result + ((getStandardTimes() == null) ? 0 : getStandardTimes().hashCode());
        result = prime * result + ((getStandardMoney() == null) ? 0 : getStandardMoney().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", mobilePhone=").append(mobilePhone);
        sb.append(", memberIdentityCard=").append(memberIdentityCard);
        sb.append(", card=").append(card);
        sb.append(", docNum=").append(docNum);
        sb.append(", docDate=").append(docDate);
        sb.append(", promotionId=").append(promotionId);
        sb.append(", promotionNum=").append(promotionNum);
        sb.append(", promotionName=").append(promotionName);
        sb.append(", projectId=").append(projectId);
        sb.append(", projectNum=").append(projectNum);
        sb.append(", projectName=").append(projectName);
        sb.append(", priceMember=").append(priceMember);
        sb.append(", times=").append(times);
        sb.append(", type=").append(type);
        sb.append(", projectTotalMoney=").append(projectTotalMoney);
        sb.append(", courseAccountId=").append(courseAccountId);
        sb.append(", standardTimes=").append(standardTimes);
        sb.append(", standardMoney=").append(standardMoney);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}